Aml.Editor.Plugin.ClassOfListsFromDataGridViews Class Reference

## Public Member Functions

| ClassOfListsFromDataGridViews ()
| ClassOfListsFromDataGridViews (string name, string value, string _default, string unit, string reference, string description, string copyRight, string semantic, string attributePath, string refBaseClassPath, string id, string referencedClassName)
override string | ToString ()

## Properties

string | Name `[get, set]`
string | Value `[get, set]`
string | Default `[get, set]`
string | Unit `[get, set]`
string | Semantic `[get, set]`
string | Reference `[get, set]`
string | Description `[get, set]`
string | CopyRight `[get, set]`
string | AttributePath `[get, set]`
string | RefBaseClassPath `[get, set]`
string | ID `[get, set]`
string | ReferencedClassName `[get, set]`

## Constructor & Destructor Documentation

## ClassOfListsFromDataGridViews() [1/2]

Aml.Editor.Plugin.ClassOfListsFromDataGridViews.ClassOfListsFromDataGridViews | ( |  | ) |

inline

## ClassOfListsFromDataGridViews() [2/2]

Aml.Editor.Plugin.ClassOfListsFromDataGridViews.ClassOfListsFromDataGridViews | ( | string | name,
|  | string | value,
|  | string | _default,
|  | string | unit,
|  | string | reference,
|  | string | description,
|  | string | copyRight,
|  | string | semantic,
|  | string | attributePath,
|  | string | refBaseClassPath,
|  | string | id,
|  | string | referencedClassName
| ) |  |

inline

## Member Function Documentation

## ToString()

override string Aml.Editor.Plugin.ClassOfListsFromDataGridViews.ToString | ( |  | ) |

inline

## Property Documentation

## AttributePath

string Aml.Editor.Plugin.ClassOfListsFromDataGridViews.AttributePath

getset

## CopyRight

string Aml.Editor.Plugin.ClassOfListsFromDataGridViews.CopyRight

getset

## Default

string Aml.Editor.Plugin.ClassOfListsFromDataGridViews.Default

getset

## Description

string Aml.Editor.Plugin.ClassOfListsFromDataGridViews.Description

getset

## ID

string Aml.Editor.Plugin.ClassOfListsFromDataGridViews.ID

getset

## Name

string Aml.Editor.Plugin.ClassOfListsFromDataGridViews.Name

getset

## RefBaseClassPath

string Aml.Editor.Plugin.ClassOfListsFromDataGridViews.RefBaseClassPath

getset

## Reference

string Aml.Editor.Plugin.ClassOfListsFromDataGridViews.Reference

getset

## ReferencedClassName

string Aml.Editor.Plugin.ClassOfListsFromDataGridViews.ReferencedClassName

getset

## Semantic

string Aml.Editor.Plugin.ClassOfListsFromDataGridViews.Semantic

getset

## Unit

string Aml.Editor.Plugin.ClassOfListsFromDataGridViews.Unit

getset

## Value

string Aml.Editor.Plugin.ClassOfListsFromDataGridViews.Value

getset

The documentation for this class was generated from the following file:

- ClassOfListsFromDataGridViews.cs